package com.e6yun.project.sdk.api.pojo.basevo.cold;

import com.google.common.base.MoreObjects;

import java.util.List;

/**
 * @Description PointTempHumListVO
 * @Author jiangruikang@e6yun.com
 * @Created Date: 2021/7/13 15:03
 * @ClassName PointTempHumListVO
 * @Remark
 */
public class PointTempHumListVO {

    /**
     * 仓库名称
     */
    private String storageName;
    /**
     * 仓库编码
     */
    private String storageCode;
    /**
     * 区位名称
     */
    private String locationName;
    /**
     * 区位编码
     */
    private String locationCode;
    /**
     * 监测点名字
     */
    private String pointName;
    /**
     * 温湿度集合
     */
    private List<ApiEquipTempHumVO> tempHumList;

    public String getStorageName() {
        return storageName;
    }

    public void setStorageName(String storageName) {
        this.storageName = storageName;
    }

    public String getStorageCode() {
        return storageCode;
    }

    public void setStorageCode(String storageCode) {
        this.storageCode = storageCode;
    }

    public String getLocationName() {
        return locationName;
    }

    public void setLocationName(String locationName) {
        this.locationName = locationName;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getPointName() {
        return pointName;
    }

    public void setPointName(String pointName) {
        this.pointName = pointName;
    }

    public List<ApiEquipTempHumVO> getTempHumList() {
        return tempHumList;
    }

    public void setTempHumList(List<ApiEquipTempHumVO> tempHumList) {
        this.tempHumList = tempHumList;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("storageName", storageName)
                .add("storageCode", storageCode)
                .add("locationName", locationName)
                .add("locationCode", locationCode)
                .add("pointName", pointName)
                .add("tempHumList", tempHumList)
                .toString();
    }
}
